> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okayface/face-verification/version-1.md).

# Version 1

## Insert Face Into Database

<mark style="color:green;">`POST`</mark> `http://okaydocdev.innov8tif.com/ekyc/api/innov-face/facequery/insert`

#### Request Body

| Name        | Type   | Description                                                                                                          |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| userName    | string | Image name.                                                                                                          |
| groupName   | string | Image group name.                                                                                                    |
| imageFile   | object | Image object. Either use imageBase64 or imageFile, if both are filled in, baseBase64 will be used.                   |
| imageBase64 | string | Image in base64 encoded string. Either use imageBase64 or imageFile, if both are filled in, baseBase64 will be used. |
| apiKey      | string | To be assigned by Innov8tif.                                                                                         |

{% tabs %}
{% tab title="200 groupStatus indicates group existence in the database. (EXISTING/NEW)" %}

```
{
    "status": "success",
    "groupName": "celebrity",
    "groupStatus": "EXISTING",
    "name": "tom"
}
```

{% endtab %}
{% endtabs %}

### Example Input&#x20;

![](/files/-M5doUkdgHBgj1k2Anqh)

## Match Faces In Database

<mark style="color:green;">`POST`</mark> `http://okaydocdev.innov8tif.com/ekyc/api/innov-face/query`

#### Request Body

| Name        | Type   | Description                                                                                                          |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| groupName   | string | Image group to be matched with.                                                                                      |
| imageFile   | object | Image object. Either use imageBase64 or imageFile, if both are filled in, baseBase64 will be used.                   |
| imageBase64 | string | Image in base64 encoded string. Either use imageBase64 or imageFile, if both are filled in, baseBase64 will be used. |
| apiKey      | string | To be assigned by Innov8tif.                                                                                         |

{% tabs %}
{% tab title="200 Image was found in the group" %}

```
{
    "status": "success",
    "resultFound": true,
    "groupFound": true,
    "name": "tom",
    "score": 1.0
}
```

{% endtab %}

{% tab title="302 Group exists but cannot find similar face" %}

```
{
    "status": "success",
    "resultFound": false,
    "groupFound": true
}
```

{% endtab %}

{% tab title="304 Group does not exist." %}

```
{
    "status": "success",
    "resultFound": false,
    "groupFound": false
}
```

{% endtab %}
{% endtabs %}

### Example Input

![](/files/-M5duEOBKo6o0-cXIpg_)

{% file src="/files/-M5dudSCaOVVs7-f7Y9K" %}
Face Verification
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-old.innov8tif.com/okayface/face-verification/version-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
